<?php

namespace jsk;
/**
 * manange filters
 */
class Filters {

    /**
     * filter instance
     */
    static $instance = null;


    /**
     * handle entry footer
     */
    function handle_entry_footer($visibility) {
        $result = true;
        if (is_single()) {
            $result = false;
        }
        return $result;
    }

    /**
     * filter out next preview controller
     */
    function handle_next_prev($single_page, $next_prev_word) {
        $result = true;
        if ($single_page) {
            $result = false;
        }
        return $result;
    }


    /**
     * register filter
     */
    function register() {
        add_filter(
            'lightning_is_next_prev',
            [$this, 'handle_next_prev'],
            10, 2);
        add_filter(
            'lightning_is_entry_footer',
            [$this, 'handle_entry_footer']);

    }
}

Filters::$instance = new Filters;

// vi: se ts=4 sw=4 et:
